ਡ੍ਰੌਪ‑ਇਨ ਰਿਪਲੇਸਮੈਂਟ
ਅਨੁਕੂਲOpenAI ਅਤੇ Anthropic SDKs ਨਾਲ ਕੰਮ ਕਰਦਾ ਹੈ। ਸਿਰਫ base URL ਬਦਲੋ।
ਸਭ ਭਾਸ਼ਾਵਾਂ ਬਰਾਬਰ ਹਨ। ਜਿਸ ਭਾਸ਼ਾ ਨੂੰ ਤੁਸੀਂ ਵਰਤਣਾ ਚਾਹੁੰਦੇ ਹੋ, ਉਹ ਚੁਣੋ।
OpenAI ਅਤੇ Anthropic ਨਾਲ ਅਨੁਕੂਲ AI API — ਫੰਕਸ਼ਨ ਕਾਲਿੰਗ, ਵੈੱਬ ਖੋਜ ਅਤੇ ਸਟ੍ਰਕਚਰਡ ਆਉਟਪੁੱਟਸ ਨਾਲ।
Shannon ਦੇ OpenAI ਅਤੇ Anthropic ਨਾਲ ਅਨੁਕੂਲ API ਨਾਲ ਸ਼ਿਪ ਕਰਨ ਲਈ ਸਭ ਕੁਝ।
https://api.shannon-ai.com/v1/chat/completions ਫੰਕਸ਼ਨ ਕਾਲਿੰਗ ਅਤੇ ਸਟ੍ਰੀਮਿੰਗ ਨਾਲ Chat Completions API ਵਰਤੋ।
https://api.shannon-ai.com/v1/messages Claude Messages ਫਾਰਮੈਟ ਟੂਲਜ਼ ਅਤੇ anthropic-version ਹੈਡਰ ਨਾਲ।
Authorization: Bearer <api-key> ਜਾਂ Claude‑ਸਟਾਈਲ ਕਾਲਾਂ ਲਈ X-API-Key ਨਾਲ anthropic-version।
ਪਬਲਿਕ ਡੌਕਸ - ਕਾਲ ਲਈ ਕੀ ਲੋੜੀਂਦੀ ਹੈ ਸਟ੍ਰੀਮਿੰਗ, ਫੰਕਸ਼ਨ ਕਾਲਿੰਗ, ਸਟ੍ਰਕਚਰਡ ਆਉਟਪੁੱਟਸ, ਵੈੱਬ ਸਰਚ।
OpenAI ਅਤੇ Anthropic API ਲਈ drop‑in ਰਿਪਲੇਸਮੈਂਟ, ਟੂਲਜ਼, ਸਟ੍ਰਕਚਰਡ ਆਉਟਪੁੱਟ ਅਤੇ ਬਿਲਟ‑ਇਨ ਵੈੱਬ ਖੋਜ ਸਹਾਇਤਾ ਨਾਲ।
OpenAI ਅਤੇ Anthropic SDKs ਨਾਲ ਕੰਮ ਕਰਦਾ ਹੈ। ਸਿਰਫ base URL ਬਦਲੋ।
ਟੂਲਜ਼ ਪਰਿਭਾਸ਼ਿਤ ਕਰੋ, Shannon ਉਨ੍ਹਾਂ ਨੂੰ ਕਾਲ ਕਰੇਗਾ। auto, forced ਅਤੇ none ਮੋਡ ਸਪੋਰਟ।
ਸਰੋਤ ਸਿਟੇਸ਼ਨਾਂ ਨਾਲ ਰੀਅਲ‑ਟਾਈਮ ਵੈੱਬ ਸਰਚ। ਆਪਣੇ ਆਪ ਉਪਲਬਧ।
ਭਰੋਸੇਯੋਗ ਡੇਟਾ ਲਈ JSON ਮੋਡ ਅਤੇ JSON Schema enforcement।
ਆਟੋਮੈਟਿਕ ਫੰਕਸ਼ਨ ਐਗਜ਼ਿਕਿਊਸ਼ਨ ਲੂਪ। ਹਰ ਰਿਕਵੇਸਟ ’ਤੇ 10 iterations ਤੱਕ।
ਰੀਅਲ‑ਟਾਈਮ ਟੋਕਨ ਸਟ੍ਰੀਮਿੰਗ ਲਈ Server‑Sent Events।
ਤਿੰਨ ਕਦਮਾਂ ਵਿੱਚ ਸ਼ੁਰੂ ਕਰੋ। Shannon OpenAI ਅਤੇ Anthropic ਕਲਾਇੰਟਾਂ ਨੂੰ ਦਰਸਾਉਂਦਾ ਹੈ।
OpenAI‑ਅਨੁਕੂਲ endpoint ਵਰਤੋ।
https://api.shannon-ai.com/v1/chat/completions Authorization ਹੈਡਰ ਵਿੱਚ Bearer auth ਵਰਤੋ।
ਭਾਸ਼ਾ ਚੁਣੋ ਅਤੇ ਆਪਣੀ ਕੀ ਪੇਸਟ ਕਰੋ।
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
max_tokens=1024
)
print(response.choices[0].message.content) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'system', content: 'You are a helpful assistant.' },
{ role: 'user', content: 'Hello, Shannon!' }
],
max_tokens: 1024
});
console.log(response.choices[0].message.content); package main
import (
"context"
"fmt"
openai "github.com/sashabaranov/go-openai"
)
func main() {
config := openai.DefaultConfig("YOUR_API_KEY")
config.BaseURL = "https://api.shannon-ai.com/v1"
client := openai.NewClientWithConfig(config)
resp, err := client.CreateChatCompletion(
context.Background(),
openai.ChatCompletionRequest{
Model: "shannon-1.6-lite",
Messages: []openai.ChatCompletionMessage{
{Role: "system", Content: "You are a helpful assistant."},
{Role: "user", Content: "Hello, Shannon!"},
},
MaxTokens: 1024,
},
)
if err != nil {
panic(err)
}
fmt.Println(resp.Choices[0].Message.Content)
} curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "shannon-1.6-lite",
"messages": [
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
"max_tokens": 1024
}' {
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 1234567890,
"model": "Shannon 1.6 Lite",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 25,
"completion_tokens": 18,
"total_tokens": 43
}
} ਆਪਣੇ ਬ੍ਰਾਊਜ਼ਰ ਵਿੱਚ ਸਿੱਧਾ Shannon API ਟੈਸਟ ਕਰੋ। ਆਪਣੀ ਰਿਕਵੇਸਟ ਬਣਾਓ, ਚਲਾਓ ਅਤੇ ਰੀਅਲ‑ਟਾਈਮ ਜਵਾਬ ਵੇਖੋ।
Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.
Run real requests, inspect raw JSON, and view stream events from the same operator console.
Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.
/pa/docs/playground The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.
ਸਾਰੀਆਂ API ਬੇਨਤੀਆਂ ਲਈ ਤੁਹਾਡੇ Shannon API ਕੀ ਨਾਲ ਪਰਮਾਣਿਕਤਾ ਜ਼ਰੂਰੀ ਹੈ।
Authorization: Bearer YOUR_API_KEY X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01 Shannon ਵੱਖ‑ਵੱਖ ਵਰਤੋਂ ਮਾਮਲਿਆਂ ਲਈ ਆਪਟੀਮਾਈਜ਼ ਕੀਤੇ ਕਈ ਮਾਡਲ ਦਿੰਦਾ ਹੈ।
shannon-1.6-lite Shannon 1.6 Lite ਰੋਜ਼ਾਨਾ ਕੰਮਾਂ ਲਈ ਤੇਜ਼, ਪ੍ਰਭਾਵਸ਼ਾਲੀ ਜਵਾਬ
shannon-1.6-pro Shannon 1.6 Pro ਜਟਿਲ ਸਮੱਸਿਆਵਾਂ ਲਈ ਉੱਚ ਦਰਜੇ ਦੀ ਰੀਜ਼ਨਿੰਗ
shannon-2-lite Shannon 2 Lite
shannon-2-pro Shannon 2 Pro
shannon-coder-1 Shannon Coder ਕਾਲ‑ਅਧਾਰਿਤ ਕੋਟਾ ਨਾਲ Claude Code CLI ਲਈ ਅਪਟੀਮਾਈਜ਼ਡ
ਉਹ ਟੂਲਜ਼ ਪਰਿਭਾਸ਼ਿਤ ਕਰੋ ਜਿਨ੍ਹਾਂ ਨੂੰ Shannon ਕਾਰਵਾਈ ਕਰਨ ਜਾਂ ਜਾਣਕਾਰੀ ਲੈਣ ਲਈ ਕਾਲ ਕਰ ਸਕਦਾ ਹੈ।
from openai import OpenAI
import json
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Define available tools/functions
tools = [
{
"type": "function",
"function": {
"name": "get_weather",
"description": "Get current weather for a location",
"parameters": {
"type": "object",
"properties": {
"location": {
"type": "string",
"description": "City name, e.g., 'Tokyo'"
},
"unit": {
"type": "string",
"enum": ["celsius", "fahrenheit"]
}
},
"required": ["location"]
}
}
}
]
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
tools=tools,
tool_choice="auto"
)
# Check if model wants to call a function
if response.choices[0].message.tool_calls:
tool_call = response.choices[0].message.tool_calls[0]
print(f"Function: {tool_call.function.name}")
print(f"Arguments: {tool_call.function.arguments}") import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const tools = [
{
type: 'function',
function: {
name: 'get_weather',
description: 'Get current weather for a location',
parameters: {
type: 'object',
properties: {
location: { type: 'string', description: "City name" },
unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
},
required: ['location']
}
}
}
];
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
tools,
tool_choice: 'auto'
});
if (response.choices[0].message.tool_calls) {
const toolCall = response.choices[0].message.tool_calls[0];
console.log('Function:', toolCall.function.name);
console.log('Arguments:', toolCall.function.arguments);
} "auto" ਮਾਡਲ ਫੈਸਲਾ ਕਰਦਾ ਹੈ ਕਿ ਫੰਕਸ਼ਨ ਕਾਲ ਕਰਨੀ ਹੈ ਜਾਂ ਨਹੀਂ (ਡਿਫਾਲਟ) "none" ਇਸ ਰਿਕਵੇਸਟ ਲਈ ਫੰਕਸ਼ਨ ਕਾਲਿੰਗ ਬੰਦ ਕਰੋ {"type": "function", "function": {"name": "..."}} ਕਿਸੇ ਖਾਸ ਫੰਕਸ਼ਨ ਕਾਲ ਨੂੰ ਫੋਰਸ ਕਰੋ {
"id": "chatcmpl-xyz",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": null,
"tool_calls": [
{
"id": "call_abc123",
"type": "function",
"function": {
"name": "get_weather",
"arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
}
}
]
},
"finish_reason": "tool_calls"
}
]
} Shannon ਨੂੰ ਤੁਹਾਡੀ ਸਕੀਮ ਨਾਲ ਮੇਲ ਖਾਂਦਾ ਵੈਧ JSON ਵਾਪਸ ਕਰਨ ਲਈ ਮਜਬੂਰ ਕਰੋ।
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Force JSON output with schema
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
],
response_format={
"type": "json_schema",
"json_schema": {
"name": "person_info",
"schema": {
"type": "object",
"properties": {
"name": {"type": "string"},
"age": {"type": "integer"},
"occupation": {"type": "string"}
},
"required": ["name", "age", "occupation"]
}
}
}
)
import json
data = json.loads(response.choices[0].message.content)
print(data) # {"name": "John Doe", "age": 30, "occupation": "engineer"} import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
],
response_format: {
type: 'json_schema',
json_schema: {
name: 'person_info',
schema: {
type: 'object',
properties: {
name: { type: 'string' },
age: { type: 'integer' },
occupation: { type: 'string' }
},
required: ['name', 'age', 'occupation']
}
}
}
});
const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" } {"type": "json_object"} ਵੈਧ JSON ਆਉਟਪੁੱਟ ਫੋਰਸ ਕਰੋ (ਕੋਈ ਖਾਸ ਸਕੀਮਾ ਨਹੀਂ) {"type": "json_schema", "json_schema": {...}} ਆਪਣੇ ਸਹੀ ਸਕੀਮਾ ਨਾਲ ਮੇਲ ਖਾਂਦਾ ਆਉਟਪੁੱਟ ਫੋਰਸ ਕਰੋ ਰੀਅਲ‑ਟਾਈਮ ਟੋਕਨ ਸਟ੍ਰੀਮਿੰਗ Server‑Sent Events ਨਾਲ ਐਨੇਬਲ ਕਰੋ ਤਾਂ ਜੋ UI ਤੁਰੰਤ ਜਵਾਬ ਦੇਵੇ।
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Enable streaming for real-time responses
stream = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Write a short poem about AI"}
],
stream=True
)
for chunk in stream:
if chunk.choices[0].delta.content:
print(chunk.choices[0].delta.content, end="", flush=True) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Write a short poem about AI' }
],
stream: true
});
for await (const chunk of stream) {
const content = chunk.choices[0]?.delta?.content;
if (content) process.stdout.write(content);
} Shannon ਵਿੱਚ built‑in web_search ਫੰਕਸ਼ਨ ਹੈ ਜੋ ਆਪਣੇ‑ਆਪ ਉਪਲਬਧ ਹੈ।
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Web search is automatically available!
# Shannon will use it when needed for current information
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "What are the latest AI news today?"}
],
# Optionally, explicitly define web_search tool
tools=[{
"type": "function",
"function": {
"name": "web_search",
"description": "Search the web for current information",
"parameters": {
"type": "object",
"properties": {
"query": {"type": "string", "description": "Search query"}
},
"required": ["query"]
}
}
}]
)
print(response.choices[0].message.content)
# Response includes sources and citations import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Web search is automatically available!
// Shannon will use it when needed for current information
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'What are the latest AI news today?' }
],
// Optionally, explicitly define web_search tool
tools: [{
type: 'function',
function: {
name: 'web_search',
description: 'Search the web for current information',
parameters: {
type: 'object',
properties: {
query: { type: 'string', description: 'Search query' }
},
required: ['query']
}
}
}]
});
console.log(response.choices[0].message.content);
// Response includes sources and citations Shannon Anthropic Messages API ਫਾਰਮੈਟ ਨੂੰ ਵੀ ਸਹਾਇਤਾ ਕਰਦਾ ਹੈ।
https://api.shannon-ai.com/v1/messages import anthropic
client = anthropic.Anthropic(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/messages"
)
response = client.messages.create(
model="shannon-1.6-lite",
max_tokens=1024,
messages=[
{"role": "user", "content": "Hello, Shannon!"}
],
# Tool use (Anthropic format)
tools=[{
"name": "web_search",
"description": "Search the web",
"input_schema": {
"type": "object",
"properties": {
"query": {"type": "string"}
},
"required": ["query"]
}
}]
)
print(response.content[0].text) import Anthropic from '@anthropic-ai/sdk';
const client = new Anthropic({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/messages'
});
const response = await client.messages.create({
model: 'shannon-1.6-lite',
max_tokens: 1024,
messages: [
{ role: 'user', content: 'Hello, Shannon!' }
],
// Tool use (Anthropic format)
tools: [{
name: 'web_search',
description: 'Search the web',
input_schema: {
type: 'object',
properties: {
query: { type: 'string' }
},
required: ['query']
}
}]
});
console.log(response.content[0].text); ਕੋਈ ਵੀ OpenAI ਜਾਂ Anthropic SDK ਵਰਤੋ — ਸਿਰਫ base URL ਬਦਲੋ।
ਆਧਿਕਾਰਿਕ OpenAI Python SDK - Shannon ਨਾਲ ਕੰਮ ਕਰਦਾ ਹੈ
pip install openai ਆਧਿਕਾਰਿਕ OpenAI Node.js SDK - Shannon ਨਾਲ ਕੰਮ ਕਰਦਾ ਹੈ
npm install openai OpenAI‑ਅਨੁਕੂਲ APIs ਲਈ ਕਮਿਊਨਟੀ Go ਕਲਾਇੰਟ
go get github.com/sashabaranov/go-openai OpenAI‑ਅਨੁਕੂਲ APIs ਲਈ ਕਮਿਊਨਟੀ Ruby ਕਲਾਇੰਟ
gem install ruby-openai OpenAI‑ਅਨੁਕੂਲ APIs ਲਈ ਕਮਿਊਨਟੀ PHP ਕਲਾਇੰਟ
composer require openai-php/client OpenAI‑ਅਨੁਕੂਲ APIs ਲਈ Async Rust ਕਲਾਇੰਟ
cargo add async-openai ਆਧਿਕਾਰਿਕ Anthropic Python SDK - Shannon ਨਾਲ ਕੰਮ ਕਰਦਾ ਹੈ
pip install anthropic ਆਧਿਕਾਰਿਕ Anthropic TypeScript SDK - Shannon ਨਾਲ ਕੰਮ ਕਰਦਾ ਹੈ
npm install @anthropic-ai/sdk Shannon ਮਿਆਰੀ HTTP ਸਟੇਟਸ ਕੋਡ ਵਰਤਦਾ ਹੈ ਅਤੇ ਵਿਸਥਾਰਿਕ ਗਲਤੀ ਸੁਨੇਹੇ ਵਾਪਸ ਕਰਦਾ ਹੈ।
{
"error": {
"message": "Invalid API key provided",
"type": "authentication_error",
"code": "invalid_api_key"
}
} Shannon API ਲਈ ਤਾਜ਼ਾ ਅਪਡੇਟ ਅਤੇ ਸੁਧਾਰ।
YOUR_API_KEY ਆਪਣੀ API ਕੀ ਗੁਪਤ ਰੱਖੋ। ਦੁਬਾਰਾ ਬਣਾਉਣ ਨਾਲ ਨਵੀਂ ਕੀ ਬਣਦੀ ਹੈ ਅਤੇ ਪੁਰਾਣੀ ਰੱਦ ਹੁੰਦੀ ਹੈ।
ਜਦੋਂ ਤੁਸੀਂ ਸਾਈਨ ਇਨ ਹੋਵੇ, ਇਸ ਪੇਜ ’ਤੇ ਟੋਕਨ ਅਤੇ ਸਰਚ ਦੀ ਖਪਤ ਵੇਖੋ।
Shannon Coder (shannon-coder-1) ਲਈ ਕਾਲ‑ਅਧਾਰਿਤ ਕੋਟਾ। ਹਰ 4 ਘੰਟਿਆਂ ਬਾਅਦ ਰੀਸੈਟ ਹੁੰਦਾ ਹੈ।
ਆਪਣੀ API ਕੀ ਲਓ ਅਤੇ ਅੱਜ ਹੀ Shannon AI ਨਾਲ ਬਣਾਉਣਾ ਸ਼ੁਰੂ ਕਰੋ।
ਲੋਕਪ੍ਰਿਯ ਖੋਜਾਂ: